Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Dec 2022 18:14:53 +0200

> Date: Fri, 30 Dec 2022 15:40:02 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked], [email-masked], 
>     [email-masked]
> 
> > Unfortunately, you also decided to take this opportunity to make changes 
> > to which I explicitly objected in bug#57499.  I reverted that part. 
> > Please don't increase my load of work by making changes we didn't agree 
> > to make.
> >
> 
> There must be some misunderstanding here.  What I did was nothing more 
> than to align the manual with the docstring, something which was forgotten 
> in bug#57499.  The paragraph you now restored in the manual is similar to 
> the paragraph you removed from the docstring in 89695bce3e, and the 
> paragraph you added in 89695bce3e ("When a new frame is created, attribute 
> values...") means, as far as I understand, the same as the sentence
> 
> If @var{frame} is @code{t}, this function sets the default attributes for 
> newly created frames; they will effectively override the attribute values 
> specified by @code{defface}.
> 
> which is already in the manual.

Yes.  That was the compromise we reached back then, and I want it to
stay that way.